## com.sun.grizzly.util
Class SelectionKeyActionAttachment

    java.lang.Object
      com.sun.grizzly.util.SelectionKeyAttachment
          com.sun.grizzly.util.SelectionKeyActionAttachment

Direct Known Subclasses:
  SelectionKeyAttachmentWrapper, ThreadAttachment

    public abstract class SelectionKeyActionAttachment

extends SelectionKeyAttachment

Class represents extended version of `SelectionKeyAttachment`, and introduces process method, which will be called by framework once `SelectionKey` has some ready event, before actual event processing.

Author:
  Alexey Stashok

Constructor Summary
`SelectionKeyActionAttachment()`

Method Summary
`abstract void` `postProcess(SelectionKey selectionKey)`
`abstract void` `process(SelectionKey selectionKey)`

Methods inherited from class com.sun.grizzly.util.SelectionKeyAttachment
`getAttachment, getTimeout, release, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionKeyActionAttachment

    public SelectionKeyActionAttachment()

Method Detail

### process

    public abstract void process(SelectionKey selectionKey)

### postProcess

    public abstract void postProcess(SelectionKey selectionKey)

Copyright © 2008 SUN Microsystems. All Rights Reserved.